%define origname bandwidth

Name: bandwidth32
Version: 0.15
Release: alt1

Summary: Artificial benchmark for measuring memory bandwidth
License: GPL
Group: System/Kernel and hardware

Url: http://home.comcast.net/~fbui/bandwidth.html
Packager: Michael Shigorin <mike@altlinux.org>
Source: http://home.comcast.net/~fbui/%origname-%version.tar.gz

ExclusiveArch: %ix86
Provides: bandwidth = %version
Obsoletes: bandwidth < 0.15
Conflicts: bandwidth > 0.15

%description
bandwidth is a benchmark to estimate the memory bandwidth of
a system, including main memory, L2 cache, framebuffer memory,
and string library performance.

%prep
%setup -n %origname-%version

%build
%make_build

%install
install -pD -m0755 %origname %buildroot%_bindir/%origname
ln -s %origname %buildroot%_bindir/%name

%files
%doc README
%_bindir/%origname
%_bindir/%name

%changelog
* Tue Apr 07 2009 Michael Shigorin <mike@altlinux.org> 0.15-alt1
- 0.15 brought assembly core and diverged between arches
  (this package is 32-bit only)

* Thu Aug 16 2007 Michael Shigorin <mike@altlinux.org> 0.13-alt1
- built for ALT Linux
- spec based on Dag Wieers' 0.12-1

* Sat Jul 28 2007 Dag Wieers <dag@wieers.com> - 0.12-1 - +/
- Initial package. (using DAR)
